package com.offcn.system;

import java.util.Map;

public class MyRequest {

	private String Request;
	private String Url;
	private Map<String, String> Cookies;
	private Map<String, String> Headers;
	private String Parameter; //json请求方式的参数
	private Map<String, String> formParameter;//form_data请求方式的参数、或file请求方式的参数
	private String file;
	private String fileType;
	public String getRequest() {
		return Request;
	}
	public void setRequest(String request) {
		Request = request;
	}
	public String getUrl() {
		return Url;
	}
	public void setUrl(String url) {
		Url = url;
	}
	public Map<String, String> getCookies() {
		return Cookies;
	}
	public void setCookies(Map<String, String> cookies) {
		Cookies = cookies;
	}
	public Map<String, String> getHeaders() {
		return Headers;
	}
	public void setHeaders(Map<String, String> headers) {
		Headers = headers;
	}
	public String getParameter() {
		return Parameter;
	}
	public void setParameter(String parameter) {
		Parameter = parameter;
	}
	public Map<String, String> getFormParameter() {
		return formParameter;
	}
	public void setFormParameter(Map<String, String> formParameter) {
		this.formParameter = formParameter;
	}
	public String getFile() {
		return file;
	}
	public void setFile(String file) {
		this.file = file;
	}
	public String getFileType() {
		return fileType;
	}
	public void setFileType(String fileType) {
		this.fileType = fileType;
	}
	public MyRequest(String request, String url, Map<String, String> cookies,
			Map<String, String> headers, String parameter,
			Map<String, String> formParameter, String file, String fileType) {
		super();
		Request = request;
		Url = url;
		Cookies = cookies;
		Headers = headers;
		Parameter = parameter;
		this.formParameter = formParameter;
		this.file = file;
		this.fileType = fileType;
	}
	public MyRequest() {
	}
	
	
}
